# Disable brp-compress because lineak does this on its own
%define __spec_install_post :

# Set up the main info portions of the spec
Summary:       This is the default plugin for the lineakd daemon.
Name:          lineak_defaultplugin
Version:       0.8
Release:       1
License:       GPL
Vendor:        Sheldon Lee Wen <leewsb@hotmail.com>
Url:           http://lineak.sourceforge.net

Packager:      Sheldon Lee Wen <leewsb@hotmail.com>
Group:         Utilities/System
Source:        %{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

Requires:      lineakd >= %{version}
BuildRequires: lineakd >= %{version}

%description
This plugin contains the original lineakd macros:

  EAK_MUTE
  EAK_VOLUP
  EAK_VOLDOWN
  EAK_EJECT

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s %{configure}
%{__make}

%install
[  %{buildroot} != "/" ] && rm -rf %{buildroot}
%{makeinstall}

# make install doesn't seem to understand the install root, so install this manually
install -D default_plugin/.libs/defaultplugin.so %{buildroot}%{_libdir}/lineakd/plugins/defaultplugin.so

cd %{buildroot}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' \
        > $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' \
        >> $RPM_BUILD_DIR/file.list.%{name}

%clean
[  %{buildroot} != "/" ] && rm -rf %{buildroot}
rm -f $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%doc AUTHORS COPYING ChangeLog README TODO
%doc %{_mandir}

%changelog
* Tue Mar 9  2004 Chris Petersen <rpm@forevermore.net>
- Updated spec file to a better template
